Page MenuHomePhabricator

Small change to main entry point text ("...start typing a filter name")
Closed, ResolvedPublic

Description

On the feedback page, I had several people asking to have a better way to access the namespace filter menu. I'm not the only one to have that feeling.

I suggest users to use the search bar to type a filter name, which is apparently a feature not visible enough. T178539 adds more prominence to the Namespaces and Tags menus. But in addition, to give more prominence to the searching, let's tweak the default message in the search bar:

[now]
Filter recent changes (browse or start typing)

[please change to]
Filter changes (use menu or search for filter name)

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 12 2017, 1:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Many users seem to have missed the small icons for Advanced Menus at right and are discovering the menus only through the main filter menu. If that's the problem, then changing the instruction text won't help. Data recently pulled by Roan (scroll down to see his monotype data pulls) show that the Namespace filters are very, very commonly used.

Given that, making these filters more discoverable might not be a bad thing to do. Given the fact that we are, sadly, NOT going to add any more Advanced Filter menus in the foreseeable future, the obvious solution is just to spell out the names of the menus over where they are now icons. Making these more explicitly named and bigger can't help but increase discoverability at the top level.

I recommend we make this change and change the name of this task to "Make Namespace and Tags menus more discoverable." @Pginer-WMF, what do you think?

Making the menu-search functions more discoverable is a separate issue. I personally doubt that any wording change will influence that.

jmatazzoni renamed this task from Make MediaWiki:Rcfilters-search-placeholder more clear about the possible actions to Make Namespace and Tags menus more discoverable.Oct 14 2017, 12:10 AM
jmatazzoni renamed this task from Make Namespace and Tags menus more discoverable to Small change to main entry point text ("...start typing a filter name").Oct 18 2017, 9:54 PM
jmatazzoni updated the task description. (Show Details)

As Joe said, searching is not going to help much with namespaces. Regarding the change in the placeholder text, as I illustrated in T178539, it is already quite long in some languages. So while I'm happy to adjust the text to make it more clear, I'd prefer not to make it longer.

jmatazzoni added a comment.EditedOct 20 2017, 11:58 PM

! In T178069#3699055, @Pginer-WMF wrote:

...Regarding the change in the placeholder text, as I illustrated in T178539, it is already quite long in some languages. So while I'm happy to adjust the text to make it more clear, I'd prefer not to make it longer.

How about this, which is clearer and maybe one letter shorter (in English):

[now]

Filter recent changes (browse or start typing)

[proposed]
Filter changes (use menu or search by name)

[proposed]
Filter changes (use menu or search by name)

Works for me.

Change 387774 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] RCFilters: Change main entry point text

https://gerrit.wikimedia.org/r/387774

Change 387774 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Change main entry point text

https://gerrit.wikimedia.org/r/387774

Checked in betalabs:

vs previous phrasing:

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Nov 3 2017, 1:03 AM